### Method

# Gtk EventControllerKeyforward

#### Declaration [src]

    gboolean
    gtk_event_controller_key_forward (
      GtkEventControllerKey* controller,
      GtkWidget* widget
    )

#### Description [src]

Forwards the current event of this `controller` to a `widget`.

This function can only be used in handlers for the `GtkEventControllerKey::key-pressed`, `GtkEventControllerKey::key-released` or `GtkEventControllerKey::modifiers` signals.

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the `widget` handled the event.